<?php
  //header("Content-Type: text/html; charset=iso-8859-1");
  header('Content-type: application/vnd.ms-excel');
  header("Content-Disposition: attachment; filename=busqueda_tesis.xls");
  set_time_limit(150);
  ini_set('memory_limit', '96M');
 use_helper('UtilFunctions');
$o_ObjectBean = new PrestamoBean();
  
$tamanioPag = 3000;
//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO  


if($cboMercado     	!=""){ $o_ObjectBean->setIdMercado($cboMercado);}
if($cboColaborador     	!=""){ 
	$o_ObjectBean->setIdColaboradorPrestamo($cboColaborador);
}else{
	if(myUser::getUser()->getRoleId() == "sys.gen" || myUser::getUser()->getRoleId() == "sys.res" || myUser::getUser()->getRoleId() == "sys.sup"|| myUser::getUser()->getRoleId() == "sys.view"){
		
	}else{
		$o_ObjectBean->setIdColaboradorPrestamo(myUser::getUser()->getIdColaborador());
	}
}



//Sacar el nombre de la sucursal
$o_SucursalBean = new SucursalBean();
$o_SucursalBean->setIdAdministrador(myUser::getUser()->getIdColaborador());

$o_SucursalBL = new SucursalBL();
$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);

foreach ($a_o_sucursal as $key => $o_sucursal){
	$IdSucursal 	= $o_sucursal->getIdSucursal();
	$NombreSucursal = $o_sucursal->getDescripcion();
}

$o_BalanceDiaNew = new BalanceDiaBean();
$o_BalanceDiaNew->setIdAdministrador(myUser::getUser()->getIdColaborador()); 
$o_BalanceDiaNew->setIdSucursal($IdSucursal);

$o_BalanceDiaNewDP 		= new BalanceDiaDP($o_BalanceDiaNew);
$fechaBalanceAbierto  	= $o_BalanceDiaNewDP->ObtenerDiaAbierto();
//echo $fechaBalanceAbierto;


if($FechaInicial  !=""){ $o_ObjectBean->setFechaInicio($FechaInicial); }
$o_ObjectBean->setFlagReporte('2');
$o_ObjectBean->setEstado('P');

 $o_ObjectBean->page = $page;
 $o_ObjectBean->tamPag = $tamanioPag;
 
 if(!isset($sortCampos))$sortCampos= "Condicion";
 if(!isset($sortType))  $sortType ="1";

 
 $o_ObjectBean->sortCampos = $sortCampos;
 $o_ObjectBean->sortType   = $sortType;

	 
 
$o_class = new PrestamoBL();
$a_ObjectBean = $o_class->busquedaPrestamo($o_ObjectBean);


$o_navigation = new navigation();
$o_navigation->setPaginaActual($page);
$o_navigation->setTamanioPagina($tamanioPag);
$o_navigation->setTotalRegistros($o_class->getCountResult($o_ObjectBean));
$valuesSort = array('sortCampos'=>$sortCampos, 'sortType'=>$sortType);

if(!$page) $page = 1;



?>



      <table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td>
            <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr height="23">
               <th width="4%" >Nro.</th>
			    <th width="21%" >Cliente&nbsp;&nbsp;&nbsp;</th>
			    <th width="3%" >F. Ini&nbsp;&nbsp;&nbsp;</th>
				<th width="3%" >F. Fin&nbsp;&nbsp;&nbsp;</th>
                 <th width="5%" >M.Total &nbsp;&nbsp;&nbsp;</th>
                 <th width="5%" >Tipo</th>
                 <th width="4%" >Saldo</th>
                 <th width="4%" >#.D.Mora</th>
                 <th width="4%" >Condici&oacute;n &nbsp;&nbsp;&nbsp;</th>
              </tr>
              <? if(count($a_ObjectBean)>0){ 
              	?>
              <? foreach ($a_ObjectBean as $iKey => $o_objBean){ ?>
	              <tr onClick="TR_click(this);">
	                <td align="center"><?=$o_objBean->getIdPrestamo()?></td>
	                <td align="left"><?=$o_objBean->getObjectCliente()->getNombreCompleto()?></td>
	                <td><?=$o_objBean->getFechaInicio()?></td>
	                <td><?=$o_objBean->getFechaVencimiento()?></td>  
					<td align="center"><?=$o_objBean->getMontoTotal() ; $total_monto +=$o_objBean->getMontoTotal();?></td>
					<td align="center"><? if($o_objBean->getOrigen()=='R') echo N; elseif($o_objBean->getOrigen()=='F') echo R;?></td>
					<td align="center"><?=$o_objBean->getSaldoPrestamo() ; $total_saldo +=$o_objBean->getSaldoPrestamo();?></td>
					<td align="center"><?
					if($fechaBalanceAbierto > $o_objBean->getFechaVencimiento()){
						echo diferenciaDates($fechaBalanceAbierto,$o_objBean->getFechaVencimiento());
					}
					?></td>
					<td align="center"><?=getEstadoCondicion($o_objBean->getCondicion())?></td>
					
				</tr>
              <? } ?>
              <tr>
	          		<td width="49%" >T Registros: <?=count($a_ObjectBean)?></td>
	          		<td width="12%" >&nbsp;</td>
	          		<td width="12%" >&nbsp;</td>
	          		<td width="8%"  ><b></b></td>
	          		<td width="8%" ><b><?=number_format($total_monto,1)?></b></td>
	          		<td width="8%"  ><b>&nbsp;</b></td>
	          		<td width="8%" ><b><?=number_format($total_saldo,1)?></b></td>
	          		<td width="8%" ><b>&nbsp;</b></td>
	          		
<!--	          		<td><?=count($a_ObjectBean)?></td>-->
	          	</tr>
              <? }else{ ?>
              <tr>
                <td colspan="7" align="center">No se produjo resultado</td>
              </tr>
              <? } ?>
            </table>
          </td>
        </tr>
         <tr>
          <td>
	          
          </td>
        </tr>
        <!--<tr>
          <td>Total Registros: <?=count($a_ObjectBean)?></td>
        </tr>-->
      </table>

